Bug 143879 - Grub doesn't handle comments in xpm files correct anymore
Grub doesn't handle comments in xpm files correct anymore
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-30 13:47 EST by Robert Scheck
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-25 17:45:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2004-12-30 13:47:27 EST
Description of problem:
This problem is a regression in Grub 0.95. Grub 0.93 (grub-0.93-4 
out of Red Hat Linux 9) handled (longer) comments in xpm files 
correct. Grub 0.95 doesn't do that any longer. It even fails with 
loading the bootsplash image and then you'll run in bug #143701 
a total black screen.

Version-Release number of selected component (if applicable):
grub-0.95-5

How reproducible:
Everytime, see below.

Steps to Reproduce:
1. vim /boot/grub/splash.xpm.gz
2. Insert the following or similar as *first* in the file (before 
   the default XPM comment!):
--- snipp ---
/*
 *
 * (c) 2000-2004 by Mister Test <test@localhost>
 *
 * This xpm file image is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This xpm file image is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See
 * the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General
 * Public License along with this image; if not, write to the Free
 * Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 * MA  02111-1307  USA
 *
 */
--- snapp ---

3. Save the file and reboot. Grub 0.95 doesn't show you the 
   bootsplash any longer.
4. Remove the comment and reboot, the bootsplash will work again :)
5. Try the same at a Red Hat Linux 9 (maybe RHEL3 has the same Grub?)
   system where Grub 0.93 is used, Grub 0.93 handles the comment 
   above and others absolutely correct.

Actual results:
Grub doesn't handle comments in xpm files correct anymore. That 
will break most of the own or other in the Internet free available 
bootsplash images (most of them contain a copyright like above) :-(

Expected results:
Grub should handle any comments in xpm files correct.

Additional info:
I guess that should be easy to fix for you, Jeremy. And have a happy 
new year!
Comment 1 Peter Jones 2005-01-25 17:45:33 EST
Fixed in rawhide weeks ago now ;)

Note that this is *not* a regression, and with the new way we only
handle such comments before the XPM header, none afterwards.
Comment 2 Robert Scheck 2005-01-26 03:10:38 EST
How would you call it then? Thank you anyway for solving my report -
the current solution is exactly, what I expected :)

Note You need to log in before you can comment on or make changes to this bug.